IonCube Loader is an instrument, that is needed to run files that are protected with ionCube PHP Encoder. The aforementioned is an application which is used to make PHP code human unreadable, to protect it from reverse engineering and / or unauthorized use. A lot of script-driven apps, particularly community forums, cms and e-commerce solutions are encoded with ionCube PHP Encoder, which means that if you obtain a script and you notice that ionCube is on the list of web hosting environment prerequisites, you have to ensure that your hosting server has the instrument pre-installed. Though it is not that hard to install it if you have your own server, it is almost impossible to do that on a shared web hosting server since the PHP environment should be precompiled and all of the clients on the server will be affected.

IonCube in Cloud Web Hosting

IonCube Loader is supplied with each and every Linux cloud web hosting that we supply and you're able to enable it at any time with just a couple of clicks, so you will be able to employ script applications that require it. You are able to do this through the PHP Configuration area of your Hepsia Control Panel and all it takes to enable or deactivate ionCube is to click a button. The change takes effect within a minute, so you can go ahead and install the app that you'd like without delay. The very same section will allow you to change the PHP version that's active for your account, as we support multiple releases on our cutting-edge cloud hosting platform. In case you move to a version that you have not used to date, you'll need to activate ionCube Loader once again. More advanced users can use a php.ini file in a specific domain folder in order to set a PHP release different from the one for the whole account or enable/disable ionCube Loader.

IonCube in Semi-dedicated Servers

In case you buy a semi-dedicated server package from us, you can employ any kind of script-driven application which requires ionCube Loader since the software tool is available on all of the servers that are part of our innovative cloud web hosting platform. We also support multiple releases of PHP, therefore if you move from PHP 4, 5.2, 5.3, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4, 8.0, 8.1, 8.2, for example, you can activate ionCube for this particular version with just a click from your Hepsia Control Panel. Our system will remember your choice, and if you move back to the previous release of PHP, the software instrument will already be active. For more tech-savvy users, we also offer the option to pick the PHP version and whether ionCube will be active or not for a particular domain name without altering the settings for the whole hosting account. This can be done by putting a php.ini file inside a domain folder with several lines of code.